// PageInfo.h
#ifndef __PAGEINFO_H__
#define __PAGEINFO_H__

#include "stdafx.h"
#include "Counter.h"
#include "CritSect.h"
#include <string>
#include <strstream>
#include <map>
using namespace std;

// ----------------------------------------------------------------------------
// One instance of this structure is created for each unique IIS request URL
// ----------------------------------------------------------------------------
class PageInfo {
public:
	PageInfo() : numcalls(0), duration(), bytes(), cs() {}
	DWORD		numcalls;				// total number of calls to this URL
	Counter		duration;				// page execution time (ms)
	Counter		bytes;					// number of bytes returned by page
	CritSect	cs;						// critical section to serialize access
}; 

// ----------------------------------------------------------------------------
// Map of PageInfo structures
// ----------------------------------------------------------------------------
typedef map< string, PageInfo* > INTERNALPAGEMAP;
class PageMap {
public:
	PageMap() {}
	~PageMap() { Reset(); }
	void Reset(); 
	PageInfo* GetPageInfo( LPCSTR lpszPageName );
	PageInfo* GetOrCreatePageInfo( LPCSTR lpszPageName );
	void Dump( strstream& stream );
	BOOL LoadLine( LPSTR lpszLine );
protected:
	INTERNALPAGEMAP map; 
	CritSect cs; 
}; 





#endif // #ifndef __PAGEINFO_H__