// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// Timer.h
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#include <windows.h>
#include <string>
using namespace std;

BOOL IsHighResolutionTimerAvailable();
double StartTiming();
double EndTiming( double dStart );


// ----------------------------------------------------------------------------
// Instances of this class measure the duration of their lifetime and print the
// result to the attached debugger
// ----------------------------------------------------------------------------
class CProfileScope {
public:
	CProfileScope() : m_strName( "<unnamed scope>" )
	{
		m_dStart = ::StartTiming();
	}

	CProfileScope( LPCSTR lpszName ) 
	{
		SetName( lpszName );
		m_dStart = ::StartTiming();
	}

	~CProfileScope();

	void SetName( LPCSTR lpszName )
	{
		m_strName = lpszName; 
	}

	LPCSTR GetName() const
	{
		return m_strName.c_str(); 
	}
	
protected:
	double m_dStart; 
	string m_strName;
};


#define PROFILESCOPE( name ) \
	CProfileScope _x_x_profileScope( name ); 	

#ifdef _DEBUG
#define DEBUGPROFILESCOPE( name )	PROFILESCOPE( name )
#else
#define DEBUGPROFILESCOPE( name )	
#endif



	

