// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// Trace.cpp
//
// Simple diagnostics
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#include "stdafx.h"
#include "Trace.h"
#include <stdio.h>
#include <stdarg.h>

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
void Trace( LPCSTR lpszMsg )
{
	//#ifdef _CONSOLE
	//printf( "%s", lpszMsg ); 
	//#endif
	::OutputDebugStringA( lpszMsg ); 
}

// ----------------------------------------------------------------------------
// A safer version of sprintf that insures the output buffer is always NULL 
// terminated.
// ----------------------------------------------------------------------------
char* safesprintf( char *buffer, size_t count, const char *format, ... )
{
	va_list args;
	va_start(args, format);

	int result = _vsnprintf( buffer, count, format, args);
	if( result < 0 ) {
		buffer[count-1] = '\0';
	} // if

	va_end(args);
	return buffer; 
}

